package com.yfd.platform.modules.auxcontrol.mapper;

import com.yfd.platform.modules.auxcontrol.domain.DeviceSignal;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 变电站-辅控设备-信号 Mapper 接口
 * </p>
 *
 * @author zhengsl
 * @since 2025-04-23
 */
public interface DeviceSignalMapper extends BaseMapper<DeviceSignal> {

    List<DeviceSignal> selectDeviceSignalYx(String slave_ip, String address);
    List<DeviceSignal> selectDeviceSignalYc(String slave_ip, String address);
    List<Map<String,Object>> selectDeviceSignal_Map(String slave_ip, String type, String address);
    List<Map<String,Object>> selectDeviceSignal_Map2(String type,String address);
}
